org.apache.cassandra.transport.messages

## Class ErrorMessage.WrappedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.transport.messages.ErrorMessage.WrappedException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ErrorMessage

      public static class ErrorMessage.WrappedException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedException(java.lang.Throwable cause, int streamId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStreamId()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappedException

          public WrappedException(java.lang.Throwable cause,
                                  int streamId)

  - ### Method Detail

    - #### getStreamId

          public int getStreamId()

Copyright © 2018 The Apache Software Foundation